Page MenuHomePhabricator

Add name_ column to style queries
Closed, ResolvedPublic

Description

We need a name_ column (or a column with an appropriate name) that will store a JSON blob with all names of a given feature, e.g. {"en": "The Hague", "nl": "Den Haag", "fr": "La Haye"}. This task is for adding this column to the stylesheet.

Event Timeline

Catrope triaged this task as Lowest priority.Feb 16 2018, 11:08 PM
Catrope created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2018, 11:08 PM

We don't need a column in the rendering tables, we need the data in a column in the query.

Meddo is doing this with https://github.com/kartotherian/meddo/blob/06e5e7eb5fc220dcbead13fba05a76ffa5f7cfe0/data.yml#L114, but for current production stuff we'd need to change osm-bright.tm2source.

Thanks for pointing that out. Could you edit the task description to be correct?

jmatazzoni raised the priority of this task from Lowest to High.Feb 26 2018, 11:56 PM
Pnorman renamed this task from Add name_ column to PostgreSQL maps tables to Add name_ column style queries.Feb 27 2018, 6:48 PM
Pnorman updated the task description. (Show Details)

This is done as part of the new schema work, e.g. https://github.com/kartotherian/meddo/blob/06e5e7eb5fc220dcbead13fba05a76ffa5f7cfe0/data.yml#L114

We can either block this on the schema work or implement equivalent functionality in the current osm-bright.tm2source

Catrope renamed this task from Add name_ column style queries to Add name_ column to style queries.Feb 27 2018, 7:10 PM
SBisson updated the task description. (Show Details)Mar 20 2018, 12:54 PM
SBisson assigned this task to Pnorman.EditedMar 21 2018, 6:19 PM
SBisson added a subscriber: SBisson.

This was done and merged. It is available in osm-bright-source v0.0.6

See https://github.com/kartotherian/osm-bright.tm2source/commit/0696f4cfe1cd7ce8d6edc7eac9f7a8de778c5e08

Etonkovidova closed this task as Resolved.Mar 26 2018, 11:15 PM